com.jgoodies.common.bean

## Interface ObservableBean

- All Known Subinterfaces:
    IActionBean, ObservableBean2
  All Known Implementing Classes:
    Bean

      public interface ObservableBean

  Describes objects that provide bound properties as specified in the Java Bean Specification. This interface is primarily intended to ensure compile-time safety for beans that shall be observed.
  Author:
    Karsten Lentzsch
  See Also:
    `PropertyChangeListener`, `PropertyChangeEvent`, `PropertyChangeSupport`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds the given PropertyChangeListener to the listener list.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes the given PropertyChangeListener from the listener list.

- - ### Method Detail

    - #### addPropertyChangeListener

          void addPropertyChangeListener(PropertyChangeListener listener)

      Adds the given PropertyChangeListener to the listener list. The listener is registered for all bound properties of this class.
      Parameters:
        `listener` - the PropertyChangeListener to be added
      See Also:
        `removePropertyChangeListener(PropertyChangeListener)`

    - #### removePropertyChangeListener

          void removePropertyChangeListener(PropertyChangeListener listener)

      Removes the given PropertyChangeListener from the listener list. This method should be used to remove PropertyChangeListeners that were registered for all bound properties of this class.
      Parameters:
        `listener` - the PropertyChangeListener to be removed
      See Also:
        `addPropertyChangeListener(PropertyChangeListener)`

Copyright © 2009-2013 JGoodies Software GmbH. All Rights Reserved.